Проблема Nvidia с Linux ядрами выше 4.8

Не знаете как установить драйвер? Возникли проблемы? Вам сюда!
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 12 янв 2018, 21:32

AlexZ писал(а):
12 янв 2018, 19:11
Погуглил и нашел такую статью http://compizomania.blogspot.com/2014/0 ... -mint.html
После установки как они говорят правильной версии драйвера (для моей карты выдало 384.98) ноут нормально загрузился с Нвидиа.
вообще не очень понимаю принцип выбора этих драйверов на офф странице, т.к. для карты GeForce GTX 550 Ti (она же TITAN V или я ошибаюсь?) подходят разные версии и даже из разных серий продуктов, например:

выбираем NVIDIA TITAN Series: NVIDIA TITAN V - Linux 64-bit Ubuntu 16.04 - получаем 387.34 - поддерживается - только NVIDIA TITAN V

выбираем NVIDIA TITAN Series: NVIDIA TITAN V - Linux 64-bit - получаем 387.34 - поддерживается - список на целую страницу, включая GTX 550 Ti и GeForce 940MX

выбираем GeForce 900M Series (Notebooks): GeForce 940MX - получаем 384.111 - поддерживается - список на целую страницу, включая GTX 550 Ti и GeForce 940MX


AlexZ
Сообщения: 303
Зарегистрирован: 06 янв 2018, 18:06
Благодарил (а): 25 раз
Поблагодарили: 17 раз

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение AlexZ » 12 янв 2018, 21:59

leonm писал(а):
12 янв 2018, 21:32
она же TITAN V или я ошибаюсь?
ошибаешься, это просто ГеФорс 500 серии

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 13 янв 2018, 10:25

AlexZ писал(а):
12 янв 2018, 21:59
ошибаешься, это просто ГеФорс 500 серии
но даже если и ошибаюсь, то какой драйвер выбрать, если они "пеоесекаются", 384.111 или 387.34?


AlexZ
Сообщения: 303
Зарегистрирован: 06 янв 2018, 18:06
Благодарил (а): 25 раз
Поблагодарили: 17 раз

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение AlexZ » 13 янв 2018, 18:49

Начни как у меня с версии 384, если не загрузится, пробуй 387. Вобщем для новых ядер подбирать надо видеодрайвер, теперь как-то так (не знаю с чем это связано, глубоких познаний Линукса у меня нет). А раньше у меня же тоже проблем с Нвидиа не было, когда был ЛМ18.1 с ядром 4.4. Ноут работал в режиме Прайм - Нвидиа, драйвер ставил не из реп, а тот что по умолчанию в Менеджере драйверов (там даже подпись была - рекомендуется). Потом обновил до 18.3 и остался со старым ядром и без новых фишек. Не стал заморачиваться с доустановкой, поставил с нуля 18.3, как обычно поставил видеодрайвер и был удивлен черным экраном, о чем уже и писал выше.
Теперь надо подключать реп ppa:graphics-drivers/ppa и в Менеджере драйверов расширится список, у меня сейчас так выглядит
Драйвера.png
А сайт Нвидиа нужен только для инфы, какой лучше драйвер выбрать в этом расширенном списке.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

svtv1
Сообщения: 250
Зарегистрирован: 26 дек 2017, 12:27
Решено: 2
Благодарил (а): 36 раз
Поблагодарили: 22 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение svtv1 » 13 янв 2018, 20:02

Не, давай колись:
Установил LM 18.3 x64 cinnamon, установил драйвера от Nvidia - система перестала загружаться. Доходит до загрузки драйверов Nvidia и на этом мертвое зависание, логи это подтверждают. Проблема воспроизводится с разными видеокартами Nvidia и убунту-дистрибутивами. Нагуглил, что помогает откат на старое ядро. Действительно, только с последним ядром 4.8 все работает нормально, с более новыми - крах. Ядра пробовал подбирать только на Минте.
Какой драйвер Нивида №, если до того все работало, зачем??
Поясни парням, зачем ты это сделал. Новая игра, прога или, что то еще?
"Если достаточно долго сидеть возле реки - мимо проплывет труп твоего врага"

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 13 янв 2018, 22:23

svtv1 писал(а):
13 янв 2018, 20:02
Какой драйвер Нивида №, если до того все работало, зачем??
Поясни парням, зачем ты это сделал. Новая игра, прога или, что то еще?
У человека стоял Минт 18.2, посыпался винт (а может и не винт, а шлейф), пропала загрузка, прогнал fsck, загрузился, заодно обновил до 18.3 и черный экран. Да, драйвер рекомендуемый из менеджера драйверов 384.111.

Аватара пользователя

svtv1
Сообщения: 250
Зарегистрирован: 26 дек 2017, 12:27
Решено: 2
Благодарил (а): 36 раз
Поблагодарили: 22 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение svtv1 » 13 янв 2018, 22:48

В консоль чел входит Ctrl+Alt+F1 ? Если да то можно попробовать
sudo apt purge nvidia*
Может будет ругаться, тогда:
sudo apt-get --fix-broken install
sudo apt purge nvidia*
и
reboot
если не
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get clean
sudo apt-get update
Ну а после
sudo apt purge nvidia*
и
reboot
Удачи.
Да и еще на оф. сайте NVIDIA, есть тест в котором ты указываешь ОС инфу о твоей видюхе (типа NVIDIA Corporation GF108M [GeForce GT 540M]), разрядность . и тебе автоматом предлагают драйвер. Но это не всегда проходит, на личном опыте знаю (можешь словить черный экран).
"Если достаточно долго сидеть возле реки - мимо проплывет труп твоего врага"

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 14 янв 2018, 07:36

svtv1 писал(а):
13 янв 2018, 22:48
В консоль чел входит Ctrl+Alt+F1 ?
Не входит, но Ctrl+Alt+Дел при нескольких нажатиях ребутит через раз. Удалял Нвидиа через чрут с лайв сд. С нуво, вроде, без глюков работает.
svtv1 писал(а):
13 янв 2018, 22:48
автоматом предлагают драйвер. Но это не всегда проходит, на личном опыте знаю (можешь словить черный экран).
что ж, пробовать наугад?

Аватара пользователя

Unborn
Сообщения: 1250
Зарегистрирован: 03 сен 2016, 10:36
Решено: 20
Благодарил (а): 2 раза
Поблагодарили: 183 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение Unborn » 14 янв 2018, 08:45

leonm писал(а):
14 янв 2018, 07:36
что ж, пробовать наугад?
384.111 - http://www.nvidia.ru/download/driverRes ... /128780/ru
Драйвера зависимы к версиям ядер. Что вы там на металлоломе хотите получить от новых ядер и драйверов?
Мат. плате с видюшкой лет 10. Раз уж загорелся в попе лёд - тогда 18.3 с ядром 4.4 с последним фиксом. Стандартная установка не получится, тогда установка блоба из консоли.
Сколько раз уже повторять - устанавливайте дистр адекватно железу.

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 14 янв 2018, 08:51

Unborn писал(а):
14 янв 2018, 08:45
Раз уж загорелся в попе лёд - тогда 18.3 с ядром 4.4 с последним фиксом
а почему не 18.2, где ядро 4.8 и с которым вроде работает без проблем?

Аватара пользователя

Unborn
Сообщения: 1250
Зарегистрирован: 03 сен 2016, 10:36
Решено: 20
Благодарил (а): 2 раза
Поблагодарили: 183 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение Unborn » 14 янв 2018, 09:11

leonm писал(а):
14 янв 2018, 08:51
а почему не 18.2, где ядро 4.8 и с которым вроде работает без проблем?
Да потому что ещё графический стек есть. Вы тупо новое ядро устанавливаете, а граф. стек остаётся старым.
Ядро, граф. стек., видеодрайвер, вот эта компания должна должна соответствовать друг другу, тогда всё будет работать нормально.
Новые ядра предлагаются к установке, но это не значит, что это обязательно нужно делать. Для Минт 18.любая, как было стандартным ядро 4.4 так оно и останется до окончания поддержки дистрибутива. Из-за нового железа ядро обновляют, а не для метеллолома.

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 14 янв 2018, 09:15

Unborn писал(а):
14 янв 2018, 09:11
Вы тупо новое ядро устанавливаете, а граф. стек остаётся старым.
Погодите, ведь если установить ЛМ18.2 с нуля, то там ядро 4.8 и разве там все упомянутые вами компоненты не соответствуют друг другу?

Аватара пользователя

Unborn
Сообщения: 1250
Зарегистрирован: 03 сен 2016, 10:36
Решено: 20
Благодарил (а): 2 раза
Поблагодарили: 183 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение Unborn » 14 янв 2018, 09:45

leonm, граф. стек всегда отставал. Поэтому различные сторонние репы. Он попозже приходит.
А в 18.3 догнал - и у тебя проблема.

Аватара пользователя

Fistaшка447
Сообщения: 24
Зарегистрирован: 28 окт 2016, 14:42
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение Fistaшка447 » 14 янв 2018, 10:54

Unborn, Привет! Раз в сколько лет желательно обновлять железо,чтобы соответствовать выходящим дистрибутивам Linux Mint?

Аватара пользователя

Unborn
Сообщения: 1250
Зарегистрирован: 03 сен 2016, 10:36
Решено: 20
Благодарил (а): 2 раза
Поблагодарили: 183 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение Unborn » 14 янв 2018, 11:07

Fistaшка447, в Болталке лучше запости свою Тему. Тут ТС с драйверами Нвидиа мучается.

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 14 янв 2018, 15:33

Хочу поставить точку, так сказать, какой ваш совет лучше.
Сначала вы говорили:
Unborn писал(а):
12 янв 2018, 12:04
На этой установить Минт 17.3 или LMDE2
а последний совет:
Unborn писал(а):
14 янв 2018, 08:45
Раз уж загорелся в попе лёд - тогда 18.3 с ядром 4.4 с последним фиксом

Аватара пользователя

darkfenix
Сообщения: 2455
Зарегистрирован: 27 июн 2017, 10:36
Решено: 25
Откуда: Нижний Тагил
Благодарил (а): 150 раз
Поблагодарили: 411 раз

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение darkfenix » 14 янв 2018, 15:34

leonm писал(а):
14 янв 2018, 15:33
какой ваш совет лучше
Лучше первый.
Изображение

Аватара пользователя

vir0id
Сообщения: 1161
Зарегистрирован: 19 дек 2017, 15:48
Решено: 7
Откуда: Рига
Благодарил (а): 97 раз
Поблагодарили: 127 раз

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение vir0id » 14 янв 2018, 16:03

leonm, хочешь кастыль? Скомпили ядро сам :-D

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 16 янв 2018, 07:50

Unborn писал(а):
12 янв 2018, 12:04
На этой установить Минт 17.3 или LMDE2
Пока не принесли новый хард, попробовал я несколько драйверов из последних на чистой установке ЛМ 17.3 - результат отрицательный. Ходы не записывал, и теперь терзаюсь сомнениями "а стоял ли там вообще когда-либо драйвер Nvidia?" :hoho:
В итоге, отдал человеку со свободным драйвером.

Аватара пользователя

Автор темы
leonm
Сообщения: 34
Зарегистрирован: 19 апр 2017, 13:28
Благодарил (а): 3 раза

Проблема Nvidia с Linux ядрами выше 4.8

Сообщение leonm » 16 янв 2018, 09:01

На будущее :может быть кто-то знает методику, простой путь, как правильно подбирать драйверы и ядра процессорам и видеокартам? Или правильный поисковый запрос. :smile:

Вернуться в «Видеокарты»